Groovy Documentation

## grails.persistence
[Java] Annotation Type Entity

    java.lang.Object
      grails.persistence.Entity

    @Retention(RetentionPolicy.RUNTIME)
    @Target({ElementType.TYPE})
    @GroovyASTTransformationClass("org.codehaus.groovy.grails.compiler.injection.EntityASTTransformation")
    public @interface Entity

A class annotation used to make a class into a GORM domain class.

Authors:
  Graeme Rocher

Since:
  1.1

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Groovy Documentation